Skip to main content
PATCH
/
v2
/
teams
/
{teamId}
/
files
Rename File
curl --request PATCH \
  --url https://api.duvo.ai/v2/teams/{teamId}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "relativePath": "<string>",
  "newFilenameOnly": "<string>"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

teamId
string
required

Body

application/json
relativePath
string
required

Current path of the file relative to the team's storage root

Minimum string length: 1
newFilenameOnly
string
required

New file name (no extension; the existing extension is preserved)

Minimum string length: 1

Response

Default Response

success
boolean
required

True if the operation succeeded